aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-imaging/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-10 07:28:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:25 +0000
commit14de9aa5e6e6a121a02fdb6238c59139f8674166 (patch)
tree0f1d4ece7533f10d5e4717924eb790dc20fa4912 /main/py-imaging/APKBUILD
parent33c7901fad2cd5cccb2faf737745b44a3c2b9bfd (diff)
downloadaports-14de9aa5e6e6a121a02fdb6238c59139f8674166.tar.gz
aports-14de9aa5e6e6a121a02fdb6238c59139f8674166.tar.bz2
aports-14de9aa5e6e6a121a02fdb6238c59139f8674166.tar.xz
main/py-imaging: minor layout modifications
Diffstat (limited to 'main/py-imaging/APKBUILD')
-rw-r--r--main/py-imaging/APKBUILD9
1 files changed, 6 insertions, 3 deletions
diff --git a/main/py-imaging/APKBUILD b/main/py-imaging/APKBUILD
index 12634da9b6..b3c47b5b57 100644
--- a/main/py-imaging/APKBUILD
+++ b/main/py-imaging/APKBUILD
@@ -9,18 +9,21 @@ arch="all"
license="PSF"
depends=""
makedepends="python-dev freetype-dev jpeg-dev zlib-dev"
-install=
+install=""
subpackages=""
source="http://effbot.org/downloads/Imaging-$pkgver.tar.gz"
+
_builddir="$srcdir"/Imaging-$pkgver
build() {
cd "$_builddir"
- python setup.py build
+ python setup.py build || return 1
}
+
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
+
md5sums="fc14a54e1ce02a0225be8854bfba478e Imaging-1.1.7.tar.gz"
sha256sums="895bc7c2498c8e1f9b99938f1a40dc86b3f149741f105cf7c7bd2e0725405211 Imaging-1.1.7.tar.gz"
sha512sums="fec2d39b4db3cb33cd7e7895aba4c3a8a5d4cff28decb9106c88e392cb848edf5593fcd77d11994bb16321837fdb26958787dac2c86d6f7c09996f466bac11f1 Imaging-1.1.7.tar.gz"